--- old/usr/src/uts/common/fs/ufs/ufs_filio.c	2014-07-28 07:44:21.147671263 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_filio.c	2014-07-28 07:44:21.153753846 -0400
@@ -344,7 +344,7 @@
 	/* hold the mutex to prevent race with a lockfs request */
 	vfs_lock_wait(vp->v_vfsp);
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	if (ULOCKFS_IS_HLOCK(ulp)) {
 		error = EIO;
@@ -388,7 +388,7 @@
 	/*
 	 * we need this broadcast because of the ufs_quiesce call above
 	 */
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 	vfs_unlock(vp->v_vfsp);
@@ -425,7 +425,7 @@
 
 	/* hold the mutex to prevent race with a lockfs request */
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	if (ULOCKFS_IS_HLOCK(ulp)) {
 		error = EIO;
@@ -486,7 +486,7 @@
 	error = ufs_flush(vp->v_vfsp);
 
 out:
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 	vfs_unlock(vp->v_vfsp);
